# Recent trades

Retrieve the list of recent market trades placed successfully for a specific market using this endpoint.

### Endpoint <a href="#endpoint" id="endpoint"></a>

```bash
GET /sapi/v1/market/trades/
```

### Query Params <a href="#query-params" id="query-params"></a>

| Field     | Type    | Mandatory | Description                                                                                                               |
| --------- | ------- | --------- | ------------------------------------------------------------------------------------------------------------------------- |
| market    | STRING  | YES       |                                                                                                                           |
| limit     | INTEGER | NO        | default 100                                                                                                               |
| timestamp | INTEGER | NO        | An integer represents the seconds elapsed since Unix epoch.If set, only trades executed before the time will be returned. |
| order\_by | STRING  | NO        | default desc, allowed values \[asc, desc]                                                                                 |

#### Example

```bash
{baseurl}/sapi/v1/market/trades/?market=ethusdc&limit=100&timestamp=1667855520&order_by=desc
```

#### Response <a href="#response" id="response"></a>

```json
{
  "status": "success",
  "message": "Retrieval Successful",
  "payload": [
    {
      "id": 456142,
      "price": 1336.63,
      "amount": 0.0375,
      "total": 50.123625,
      "market": "ethusdc",
      "created_at": 1667855520,
      "taker_type": "sell"
    },
    {
      "id": 456116,
      "price": 1336.63,
      "amount": 0.075,
      "total": 100.24725,
      "market": "ethusdc",
      "created_at": 1667850041,
      "taker_type": "sell"
    }
  ]
}
```
